Subject: Re: bug#5294: 23.1; unload-feature disable minor-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Feb 2022 11:06:38 +0100

Juanma Barranquero <[email-masked]> writes:

> I do not say that there are not, I say that they are not easy to
> generalize. Some are. For example, removing a minor-mode for the
> minor-modes menu seems a good idea, and should be done by
> unload-feature if it is not done already, because calling a
> nonexistent function is an error.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I think the conclusion here was that there isn't much that can be done
in general here -- minor modes aren't special here; removing all
"running code" when unloading a feature isn't really possible.  So I
don't think there's anything actionable in this bug report, and I'm
therefore closing it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no